Kerbal Space Program - Bug #4108

IVA views are combined when the active craft is destroyed and focus is switched to another part with
IVA within physics range
02/18/2015 09:21 PM - hfbs

Status: Closed Start date: 02/18/2015
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

See title.

Reproduction steps:

1, make a simple craft with two IVA-equipped parts. One to be the 'base', another to be the 'victim'. Make sure there is a way to
decouple the two and destroy the victim. | chose a standard decoupler and separtrons, with a Mk1-2 pod being the base and a Mk1
Lander Can being the victim.

2, separate the two parts and destroy the victim (you possibly need to be over 200m/the distance where switching while moving in
atmo is disallowed).

3, follow the victim to its demise

4, once the victim is destroyed, switch to the base using either [ or ]

5, The IVA from the victim has been combined with the IVA from the base, resulting in weirdness.

Please see this short video that follows the reproduction steps.

https://www.youtube.com/watch?v=HkDSwWNXzULs

Further info: There is nothing of note in the output_log.txt. This was on a completely stock and untouched version of KSP 0.90 x86,
running Windows 8.1 x64.

History

#1 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#2 - 07/17/2016 09:32 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/09/2016 01:14 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
